Method: projects.locations.apps.evaluationRuns.export

Exports evaluations runs.

HTTP request

POST https://ces.googleapis.com/v1beta/{parent=projects/*/locations/*/apps/*}/evaluationRuns:export

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the app to export evaluation runs from. Format: projects/{project}/locations/{location}/apps/{app}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ],
  "exportOptions": {
    object (ExportOptions)
  }
}
Fields
names[]

string

Required. The resource names of the evaluation runs to export.

exportOptions

object (ExportOptions)

Optional. The export options for the evaluation runs.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the names resource:

  • ces.evaluationRuns.get

Requires the following IAM permission on the parent resource:

  • ces.evaluations.export

For more information, see the IAM documentation.